<div *ngIf="preloader">
    <div uk-spinner></div>
</div>
<div *ngIf="!preloader">
    <app-entry-general-judge (eventFinishCreate)="statusReloadJudgements = 1" *ngIf="specByJudge.general.show"  [entryid]="entryId"></app-entry-general-judge>

    <app-entry-penalty-judge (eventFinishCreate)="statusReloadJudgements = 1" *ngIf="specByJudge.penalty.show"  [entryid]="entryId"></app-entry-penalty-judge>

    <app-entry-main-judge [changes]="statusReloadJudgements" (stateChange)="statusReloadJudgements = $event" *ngIf="specByJudge.main.show" [entryid]="entryId"></app-entry-main-judge>

    <app-entry-athlete [dataclaseentry]="extraInfo" *ngIf="specByJudge.athlete.show" [entryid]="entryId"></app-entry-athlete>

</div>